Bug 822158 - [ovirt] [vdsm] fail to join host to cluster - version is not supported
[ovirt] [vdsm] fail to join host to cluster - version is not supported
Status: CLOSED NEXTRELEASE
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
unspecified
x86_64 Linux
urgent Severity urgent
: ---
: ---
Assigned To: Douglas Schilling Landgraf
Haim
infra
: Regression, TestBlocker
Depends On:
Blocks: 822145
  Show dependency treegraph
 
Reported: 2012-05-16 10:05 EDT by Haim
Modified: 2014-01-12 19:51 EST (History)
14 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-2.gite952471.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 03:04:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haim 2012-05-16 10:05:15 EDT
Description of problem:

unable add host to 3.1 cluster on engine due to compatibility version. 
this issue was introduced by commit 7b4a63a974bfc301f3294603d8fe91f534b74dd (http://gerrit.ovirt.org/4284) 

repro steps:

- install new host
- attach it to 3.1 cluster on ovirt-engine
Comment 1 Dan Kenigsberg 2012-05-16 10:27:43 EDT
yes, vdsm failed to report its true version/release before that commit. and yes, the truth broke Engine. We can lie again about the version of vdsm, but in my humble opinion, Engine should cope with the truth instead.
Comment 2 Itamar Heim 2012-05-28 15:38:15 EDT
the convention is x.y.
so you should change version to 4.10 i guess until we discuss how to support 3-part versions and implications of backward compatibility
Comment 3 Yair Zaslavsky 2012-05-29 08:55:47 EDT
Adding support to 4.10 at engine.

http://gerrit.ovirt.org/gitweb?p=ovirt-engine.git;a=commit;h=3ed56a7290d43c5331ca3949ab37c8669d26bc1f 

Moving this to vdsm component.
Comment 4 Douglas Schilling Landgraf 2012-05-30 16:37:47 EDT
BZ#822158: fail to join host to cluster
http://gerrit.ovirt.org/#change,4910
Comment 5 Ofer Schreiber 2012-06-04 03:30:16 EDT
Any new build of VDSM for Fedora 17 containing this fix?
If not, please do one, and make sure you can add it to a 3.1 cluster. (and move to MODIFIED)
Comment 6 Douglas Schilling Landgraf 2012-06-04 10:29:44 EDT
Hi,

Here the link:
http://koji.fedoraproject.org/koji/buildinfo?buildID=321896

Thanks
Douglas
Comment 7 Ofer Schreiber 2012-06-05 11:42:43 EDT
verified by me on F17 with latest ovirt-engine
Comment 8 Dan Kenigsberg 2012-06-06 03:04:57 EDT
closing per Ofer's verification.

Note You need to log in before you can comment on or make changes to this bug.